Deletes the specified automation for a given projecttemplate.

DELETEhttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}
DELETE https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/automations/{automationId}

Deletes the specified automation with its trigger and all its values. To delete the the automation the user needs to have 'write' permissions of the feature 'project-manage-config' globally. If the 'removeFromProject' boolean is set to true, all automations in projects of that project template created from that automation template are deleted aswell. Automations created from a workflow cannot be deleted via this endpoint.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

automationIdstringRequired
format: uuid

The id of the automation.

projectTemplateIdstringRequired
format: uuid

The id of the project template.

Query parameters

removeFromProjectsbooleanRequired

Whether to delete the automation also from all projects of the projecttemplate.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation